Skip to main content
GET
/
org
/
helm
/
charts
/
chart
/
{repository_name}
/
{chart_name}
/
{chart_version}
/
files
Get Helm Chart Files Endpoint
import requests

url = "https://platform.ankra.app/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "files": [
    {
      "path": "<string>",
      "size": 123,
      "is_binary": true,
      "base64_content": "<string>",
      "content_omitted": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

repository_name
string
required
chart_name
string
required
chart_version
string
required

Cookies

ankra_session
string | null
ankra_refresh
string | null

Response

Successful Response

files
ChartFileEntry · object[]
required